docker基础:yum安装,docker镜像中安装yum命令分享

%ignore_pre_1%

Docker 要求Linux系统的内核版本高于3.10,查看内核版本:

[[email protected] ~]# uname -r 3.10.0-514.26.2.el7.x86_64 

CentOS 7 (使用yum进行安装)

# step 1: 安装必要的一些系统工具 sudo yum install -y yum-utils device-mapper-persistent-data lvm2 # Step 2: 添加软件源信息 sudo yum-config-manager --add-repo http://mirrors.aliyun.com/docker-ce/linux/centos/docker-ce.repo # Step 3: 更新并安装Docker-CE sudo yum makecache fast sudo yum -y install docker-ce # Step 4: 开启Docker服务 sudo service docker start # 注意: # 官方软件源默认启用了最新的软件,您可以通过编辑软件源的方式获取各个版本的软件包。例如官方并没有将测试版本的软件源置为可用,您可以通过以下方式开启。同理可以开启各种测试版本等。 # vim /etc/yum.repos.d/docker-ee.repo #   将[docker-ce-test]下方的enabled=0修改为enabled=1 # # 安装指定版本的Docker-CE: # Step 1: 查找Docker-CE的版本: # yum list docker-ce.x86_64 --showduplicates | sort -r #   Loading mirror speeds from cached hostfile #   Loaded plugins: branch, fastestmirror, langpacks #   docker-ce.x86_64            17.03.1.ce-1.el7.centos            docker-ce-stable #   docker-ce.x86_64            17.03.1.ce-1.el7.centos            @docker-ce-stable #   docker-ce.x86_64            17.03.0.ce-1.el7.centos            docker-ce-stable #   Available Packages # Step2: 安装指定版本的Docker-CE: (VERSION例如上面的17.03.0.ce.1-1.el7.centos) # sudo yum -y install docker-ce-[VERSION] 

www.dengb.comtruehttp://www.dengb.com/Linuxjc/1413448.htmlTechArticledocker基础:yum安装,docker镜像中安装yum命令 blog:https://www.cnblogs.com/Rohn/ Docker 要求Linux系统的内核版本高于 3.10 ,查看内核版本: [[email protected]

—-想了解更多的linux相关异常处理怎么解决关注

本文链接:https://xdcnz.com/10607.html